> ## Documentation Index
> Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retry Failed Refund

> Retry a failed crypto refund for an offramp transaction. Gas/fund errors can be retried up to 10 times, other errors up to 4 times. Refunds marked for manual intervention cannot be retried through this endpoint.

Retry a failed crypto refund for an offramp transaction. Can be retried up to 3 times.


## OpenAPI

````yaml POST /api/v3/offramp/retry-refund/{referenceId}
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://preview.kotanipay.com
security: []
tags: []
paths:
  /api/v3/offramp/retry-refund/{referenceId}:
    post:
      tags:
        - OFFRAMP
      summary: Retry Failed Refund
      description: >-
        Retry a failed crypto refund for an offramp transaction. Gas/fund errors
        can be retried up to 10 times, other errors up to 4 times. Refunds
        marked for manual intervention cannot be retried through this endpoint.
      operationId: OffRampController_retryRefund_api/v3
      parameters:
        - name: referenceId
          required: true
          in: path
          schema:
            type: string
      responses:
        '400':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Cannot retry refund
                  data:
                    type: object
                    example: {}
        '401':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Unauthorized
                  data:
                    type: object
                    example: {}
        '404':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Reference Id not found
                  data:
                    type: object
                    example: {}
      security:
        - JWT: []
components:
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````